#### D.14.1.22 arrBoolean

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrBoolean(v); int v

Return:
  arr, which uses the first v variables of ring for boolean arrangement

Example:

    LIB "arr.lib";
    ring R = 0,x(1..10),dp;
    arrBoolean(7);
    ==> _[1]=x(1)
    ==> _[2]=x(2)
    ==> _[3]=x(3)
    ==> _[4]=x(4)
    ==> _[5]=x(5)
    ==> _[6]=x(6)
    ==> _[7]=x(7)
    ==>

See also: arrBoolean; arrBraid; arrEdelmanReiner; arrRandom; arrTypeB; arrTypeD.

User manual for Singular version 4.4.1, 2025, generated by texi2html.